%define release 1mdk
%define version 0.5.9beta2
%define name vcdimager

Summary:        VideoCD (pre-)mastering and ripping tool
Name:           %name
Version:        %version
Release:        %release
License:      GPL
Group:          Video
Source:         %{name}-%{version}.tar.bz2
URL:            http://www.hvrlab.org/~hvr/vcdimager/
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description 
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

VCDRip, which comes with VCDImager, does the reverse operation. That
is, ripping mpeg streams from images (and already burned VideoCDs)
and showing some information about the VideoCD.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
rm -rf "$RPM_BUILD_ROOT"
%configure

%post
/sbin/install-info \
        --info-dir=%{_infodir} %{_infodir}/vcdimager.info*

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete \
        --info-dir=%{_infodir} %{_infodir}/vcdimager.info*
fi

%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/vcdrip
%{_bindir}/vcdimager
%{_infodir}/vcdimager.info*
%{_mandir}/man1/*

%changelog
* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.9beta2-1mdk
- updated to beta2

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.9beta1-1mdk
- new in contribs

* Thu Jan  4 2001 Herbert Valerio Riedel <hvr@gnu.org>
- fixed removal of info pages on updating packages

* Sat Dec 23 2000 Herbert Valerio Riedel <hvr@gnu.org>
- added vcdrip
- removed glib dependancy

* Sat Aug 26 2000 Herbert Valerio Riedel <hvr@gnu.org>
- spec file improvements

* Mon Aug 14 2000 Herbert Valerio Riedel <hvr@gnu.org>
- first spec file
